summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-puzzle/pathological
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-puzzle/pathological')
-rw-r--r--games-puzzle/pathological/Manifest1
-rw-r--r--games-puzzle/pathological/files/pathological-1.1.3-build.patch27
-rw-r--r--games-puzzle/pathological/files/pathological-1.1.3-music-py.patch23
-rw-r--r--games-puzzle/pathological/metadata.xml11
-rw-r--r--games-puzzle/pathological/pathological-1.1.3-r3.ebuild96
5 files changed, 158 insertions, 0 deletions
diff --git a/games-puzzle/pathological/Manifest b/games-puzzle/pathological/Manifest
new file mode 100644
index 00000000000..79c8370df53
--- /dev/null
+++ b/games-puzzle/pathological/Manifest
@@ -0,0 +1 @@
+DIST pathological-1.1.3.tar.gz 6995274 SHA256 813ef0812ba6b3218b35c2ddea423c9c6ee912925824497f52d5310bc76f85de SHA512 a64e0ca9a3bf86ade4a1abdd4f471c341838f690b2471f21c488471b7800da55f89f42c62a51c9be380cb9f265432db904a5de6f6bb3a9a7dde835da94baf566 WHIRLPOOL 65f2f62c4d9991c3d0e69a9408e17e8c80a06575f38233ca4697054272b17bd3056cf681d40318786b6546ab7a43c34ce3d60bdaae08570457332bdaa0bee8da
diff --git a/games-puzzle/pathological/files/pathological-1.1.3-build.patch b/games-puzzle/pathological/files/pathological-1.1.3-build.patch
new file mode 100644
index 00000000000..d8793a6aef6
--- /dev/null
+++ b/games-puzzle/pathological/files/pathological-1.1.3-build.patch
@@ -0,0 +1,27 @@
+Use implicit rules to build write-highscores so we dont have to worry
+about CC/CFLAGS/LDFLAGS/etc...
+
+Include stdlib.h to get exit() prototype
+
+--- write-highscores.c
++++ write-highscores.c
+@@ -25,6 +25,7 @@
+ #include <sys/stat.h>
+ #include <unistd.h>
+ #include <fcntl.h>
++#include <stdlib.h>
+
+ #define BUFFER_SIZE 1024
+
+--- Makefile
++++ Makefile
+@@ -4,9 +4,6 @@
+
+ all: write-highscores html/wheel.png
+
+-write-highscores: write-highscores.c
+- gcc -s -o write-highscores write-highscores.c
+-
+ html/wheel.png:
+ ./makehtml
+
diff --git a/games-puzzle/pathological/files/pathological-1.1.3-music-py.patch b/games-puzzle/pathological/files/pathological-1.1.3-music-py.patch
new file mode 100644
index 00000000000..9d67085dd13
--- /dev/null
+++ b/games-puzzle/pathological/files/pathological-1.1.3-music-py.patch
@@ -0,0 +1,23 @@
+Make sure music_pending_song is defined before we try using it
+
+http://bugs.gentoo.org/109272
+
+--- pathological.py
++++ pathological.py
+@@ -28,6 +28,7 @@
+ colorblind = 0
+ sound_on = 1
+ music_on = 1
++music_pending_song = 0
+ for arg in sys.argv[1:]:
+ if arg == '-s':
+ screenshot = 1
+@@ -194,7 +195,7 @@
+ sound_on = sound_on ^ 1
+
+ def toggle_music():
+- global music_on
++ global music_pending_song, music_on
+ music_on = music_on ^ 1
+ if music_on:
+ if music_pending_song:
diff --git a/games-puzzle/pathological/metadata.xml b/games-puzzle/pathological/metadata.xml
new file mode 100644
index 00000000000..e5bd67a8578
--- /dev/null
+++ b/games-puzzle/pathological/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <maintainer>
+ <email>mr_bones_@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">pathological</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/games-puzzle/pathological/pathological-1.1.3-r3.ebuild b/games-puzzle/pathological/pathological-1.1.3-r3.ebuild
new file mode 100644
index 00000000000..63e623b1bd3
--- /dev/null
+++ b/games-puzzle/pathological/pathological-1.1.3-r3.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+inherit eutils python-single-r1 games
+
+DESCRIPTION="An enriched clone of the game 'Logical' by Rainbow Arts"
+HOMEPAGE="http://pathological.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ia64 ppc ~sparc x86"
+IUSE="doc"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ app-shells/bash
+ >=dev-python/pygame-1.5.5[${PYTHON_USEDEP}]"
+DEPEND="${PYTHON_DEPS}
+ doc? ( media-libs/netpbm )"
+
+pkg_setup() {
+ games_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}" || die
+ unpack ./${PN}.6.gz
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${P}-build.patch \
+ "${FILESDIR}"/${P}-music-py.patch
+
+ if use doc ; then
+ sed -i -e '5,$ s/=/ /g' makehtml || die
+ else
+ echo "#!/bin/sh" > makehtml
+ fi
+
+ sed -i \
+ -e "s:/usr/share/games:${GAMES_DATADIR}:" \
+ -e "s:/var/games:${GAMES_STATEDIR}:" \
+ -e "s:exec:exec ${EPYTHON}:" \
+ ${PN} || die
+
+ sed -i \
+ -e 's:\xa9:(C):' \
+ -e "s:/usr/lib/${PN}/bin:$(games_get_libdir)/${PN}:" \
+ ${PN}.py || die
+
+ python_fix_shebang ${PN}.py
+}
+
+src_install() {
+ dogamesbin ${PN}
+
+ exeinto "$(games_get_libdir)"/${PN}
+ doexe write-highscores
+
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r circuits graphics music sounds ${PN}.py
+
+ insinto "${GAMES_STATEDIR}"
+ doins ${PN}_scores
+ fperms 660 "${GAMES_STATEDIR}"/${PN}_scores
+
+ dodoc changelog README TODO
+ doman ${PN}.6
+ use doc && dohtml -r html/*
+
+ doicon ${PN}.xpm
+ make_desktop_entry ${PN} Pathological ${PN}
+
+ # remove some unneeded resource files
+ rm -f "${D}/${GAMES_DATADIR}"/${PN}/graphics/*.xcf
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ if ! has_version "media-libs/sdl-mixer[mod]" ; then
+ echo
+ elog "Since you have turned off the 'mod' use flag for media-libs/sdl-mixer"
+ elog "no background music will be played."
+ echo
+ fi
+
+}